"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-313/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x103c2e0c0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x103c2e160>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103c2e200>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103c2e2a0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x103c2e340>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x103c2e3e0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x103c2e480>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103c2e520>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103c2e5c0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103c2e660>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x103c2e700>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x103c2e7a0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x103c2e840>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x103c2e8e0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x103c2e980>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x103c2ea20>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x103c2eac0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x103c2eb60>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x103c2ec00>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x103c2eca0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x103c2ed40>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x103c2ede0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x103c2ee80>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x103c2ef20>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x103c2efc0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x103c2f060>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x103c2f100>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x103c2f1a0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x103c2f240>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x103c2f2e0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x103c2f380>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x103c2f420>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x103c2f4c0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x103c2f560>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x103c2f600>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x103c2f6a0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x103c2f740>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x103c2f7e0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103c2f880>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103c2f920>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103c2f9c0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x103c2fa60>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x103c2fb00>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x103c2fba0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x103c2fc40>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x103c2fce0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x103c2fd80>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103c2fe20>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103c2fec0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x103c2ff60>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x107f44040>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x107f440e0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x107f44180>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x107f44220>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x107f442c0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x107f44360>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x107f44400>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x107f444a0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x107f44540>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x107f445e0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x107f44680>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x107f44720>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x107f447c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x107f44860>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x107f44900>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x107f449a0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x107f44a40>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x107f44ae0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x107f44b80>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x107f44c20>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x107f44cc0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x107f44d60>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x107f44e00>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x107f44ea0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x107f44f40>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x107f44fe0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x107f45080>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x107f45120>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x107f451c0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x107f45260>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x107f453a0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x107f45300>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x107f45440>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x107f454e0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x107f45580>)]
name: str = 'fr_HOCCN'
